function VarTypeString(
    table,      // Responsible TableOfVars instance
    varName     // Name of this variable
) {
    VarType.call(this, table, varName);
}
VarTypeString.prototype = Object.create(VarType.prototype);
VarTypeString.prototype.constructor = VarTypeString;

/** Add to list of available types */
TableOfVars.varTypes.push(VarTypeString);

/** Name of variable type */
VarTypeString.typeName = 'String';
VarTypeString.prototype.typeName = 'String';

/** Used number of bytes to store this variable */
VarTypeString.countBytes = 4;

/** Default value of variables of this type */
VarTypeString.defaultValue = '';

/** Present value */
Object.defineProperty(VarTypeString.prototype, 'value', { enumerable: true,
    get() { return this.input.value; },
    set(v) { this.input.value = v; }
});

/**
* Create a input for this type
* @return HTMLElement       Created input, select, …
*/
VarTypeString.prototype._createInput = function(
    document        // HTMLDocument instance to use
) {
    const input = document.createElement('input');
    input.type = 'text';
    input.value = VarTypeString.defaultValue;
    return input;
}
